Commit 0fa824fb authored by Arnaud Blanchard's avatar Arnaud Blanchard

Fix bug. No the program is not launched if the compilation has failed

parent 630a84f8
......@@ -16,7 +16,6 @@ usage()
echo "usage: run.sh <project dir> [args ...]" >&2
}
[ $1 ] || { echo "Missing project directory."; usage; exit 1; }
cd $1;
project_dir="$PWD";
......@@ -28,7 +27,7 @@ blaar_dir="$PWD"
blaar_build_dir="${blaar_dir}_build"
./compile.sh "$project_dir" "Release" "$project_name" >&2
[ $? ] || { echo "Fail compiling '$project_dir'" >&2; exit 2; }
[ $? -ne 0 ] && { echo "Fail compiling '$project_dir'" >&2; exit 2; }
bin_dir="$blaar_build_dir/Release/bin"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment